Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class PerProcessInstanceRuntimeManager

    java.lang.Object
      org.jbpm.runtime.manager.impl.AbstractRuntimeManager
          org.jbpm.runtime.manager.impl.PerProcessInstanceRuntimeManager

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RuntimeManager

    public class PerProcessInstanceRuntimeManager

extends AbstractRuntimeManager

Field Summary

Fields inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`activeSingletons, environment, identifier`

Constructor Summary
`PerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, org.kie.internal.runtime.manager.SessionFactory factory, org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory, String identifier)`

Method Summary
`void` | `close()`
`void` | `disposeRuntime(org.kie.internal.runtime.manager.Runtime runtime)`
`protected org.kie.internal.runtime.manager.Runtime` | `findLocalRuntime(Object processInstanceId)`
`org.kie.internal.runtime.manager.SessionFactory` | `getFactory()`
`org.kie.internal.runtime.manager.Mapper` | `getMapper()`
`org.kie.internal.runtime.manager.Runtime` | `getRuntime(org.kie.internal.runtime.manager.Context context)`
`org.kie.internal.runtime.manager.TaskServiceFactory` | `getTaskServiceFactory()`
`protected void` | `removeLocalRuntime(org.kie.internal.runtime.manager.Runtime runtime)`
`protected void` | `saveLocalRuntime(Object processInstanceId, org.kie.internal.runtime.manager.Runtime runtime)`
`void` | `setFactory(org.kie.internal.runtime.manager.SessionFactory factory)`
`void` | `setMapper(org.kie.internal.runtime.manager.Mapper mapper)`
`void` | `setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)`
`boolean` | `validate(Integer ksessionId, Long processInstanceId)`

Methods inherited from class org.jbpm.runtime.manager.impl.AbstractRuntimeManager
`getEnvironment, getIdentifier, registerDisposeCallback, registerItems, setEnvironment, setIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerProcessInstanceRuntimeManager

    public PerProcessInstanceRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                            org.kie.internal.runtime.manager.SessionFactory factory,
                                            org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory,
                                            String identifier)

Method Detail

### getRuntime

    public org.kie.internal.runtime.manager.Runtime getRuntime(org.kie.internal.runtime.manager.Context context)

### disposeRuntime

    public void disposeRuntime(org.kie.internal.runtime.manager.Runtime runtime)

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.manager.RuntimeManager`
  Overrides:
    `close` in class `AbstractRuntimeManager`

### validate

    public boolean validate(Integer ksessionId,
                            Long processInstanceId)

### getFactory

    public org.kie.internal.runtime.manager.SessionFactory getFactory()

### setFactory

    public void setFactory(org.kie.internal.runtime.manager.SessionFactory factory)

### getTaskServiceFactory

    public org.kie.internal.runtime.manager.TaskServiceFactory getTaskServiceFactory()

### setTaskServiceFactory

    public void setTaskServiceFactory(org.kie.internal.runtime.manager.TaskServiceFactory taskServiceFactory)

### getMapper

    public org.kie.internal.runtime.manager.Mapper getMapper()

### setMapper

    public void setMapper(org.kie.internal.runtime.manager.Mapper mapper)

### findLocalRuntime

    protected org.kie.internal.runtime.manager.Runtime findLocalRuntime(Object processInstanceId)

### saveLocalRuntime

    protected void saveLocalRuntime(Object processInstanceId,
                                    org.kie.internal.runtime.manager.Runtime runtime)

### removeLocalRuntime

    protected void removeLocalRuntime(org.kie.internal.runtime.manager.Runtime runtime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.